var calendarPreferences = {
	readPreferences: function()
	{
		this.format = this.getRootBranch().getCharPref("format");
		this.textsize = this.getRootBranch().getCharPref("textsize");
	},
	getService: function() {
		try { return Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
		} catch(ex) { dump(ex + "\n"); return null; }
	},
	getRootBranch: function() {
		if (!this.rootBranch) { this.rootBranch = this.getService().getBranch("bahaiCalendar."); }
		return this.rootBranch;
	},
	setPreference: function(name, value)
	{
		this.getRootBranch().setCharPref(name, value);
		this.readPreferences();
	},
}